# Class Bspf

java.lang.Object
org.jmol.bspt.Bspf

public final class Bspf extends Object
A Binary Space Partitioning Forest

This is simply an array of Binary Space Partitioning Trees identified by indexes

Author:
  Miguel, miguel@jmol.org

## Field Summary

Fields
Modifier and Type
Field
Description
`Bspt[]`
`bspts`
`boolean`
`isValid`

## Constructor Summary

Constructors
Constructor
Description
`Bspf(int dimMax)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addTuple(int bsptIndex, P3 tuple)`
`CubeIterator`
`getCubeIterator(int bsptIndex)`
`CubeIterator`
`getNewCubeIterator(int bsptIndex)`
`void`
`initialize(int modelIndex, P3[] atoms, BS modelAtomBitSet)`
`boolean`
`isInitializedIndex(int bsptIndex)`
`void`
`stats()`
`void`
`validateModel(int i, boolean isValid)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### bspts

public Bspt[] bspts

### isValid

public boolean isValid

## Constructor Details

### Bspf

public Bspf(int dimMax)

## Method Details

### validateModel

public void validateModel(int i, boolean isValid)

### isInitializedIndex

public boolean isInitializedIndex(int bsptIndex)

### addTuple

public void addTuple(int bsptIndex, P3 tuple)

### stats

public void stats()

### getCubeIterator

public CubeIterator getCubeIterator(int bsptIndex)

Parameters:
  `bsptIndex` - a model index
Returns:
  either a cached or a new CubeIterator

### getNewCubeIterator

public CubeIterator getNewCubeIterator(int bsptIndex)

### initialize

public void initialize(int modelIndex, P3[] atoms, BS modelAtomBitSet)